GH-PR-UPDATE-BRANCH(1)

NAME
gh-pr-update-branch - Update a pull request branch

SYNOPSIS
gh pr update-branch [<number> | <url> | <branch>] [flags]

DESCRIPTION
Update a pull request branch with latest changes of the base branch.

Without an argument, the pull request that belongs to the current branch is selected.

The default behavior is to update with a merge commit (i.e., merging the base branch into the PR's branch). To reconcile the changes with rebasing on top of the base branch, the --rebase option should be provided.

OPTIONS

--rebase
    Update PR branch by rebasing on top of latest base branch

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh pr update-branch 23
    $ gh pr update-branch 23 --rebase
    $ gh pr update-branch 23 --repo owner/repo

SEE ALSO
gh-pr(1)